Get Payment Methods
curl --request GET \
--url https://server.stage.overflow.co/api/v3/payment-methods/{donorId} \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/payment-methods/{donorId}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/payment-methods/{donorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6710f34fd5061afeec3eab57",
"last4": "4242",
"type": "card",
"updatedAt": "2025-01-01T00:00:00.000Z",
"holderName": "John Doe",
"expirationDate": "12/26",
"isExpired": "false"
}
]
}Get Payment Methods
Returns the payment methods a donor has added.
GET
/
api
/
v3
/
payment-methods
/
{donorId}
Get Payment Methods
Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
The ID of the donor to get payment methods for.
Example:
"2ea1ae03ca521e437db76d76"
Query Parameters
The maximum updated date of the payment methods to return. YYYY-MM-DD
Example:
"2025-02-01"
The minimum updated date of the payment methods to return. YYYY-MM-DD
Example:
"2025-01-01"
Whether to return expired payment methods or not.
Response
List of payment methods for donor
Show child attributes
Show child attributes
Last modified on July 14, 2026
Was this page helpful?